Name: H5Pget_size
Signature:
  int `H5Pget_size`( hid_t `id`, const char *`name`, size_t *`size` )
Purpose:
  Queries the size of a property value in bytes.
Description:
  `H5Pget_size` retrieves the size of a property's value in bytes. This function operates on both property lists and property classes

  Zero-sized properties are allowed and return `0`.

Parameters:

hid_t `id` | IN: Identifier of property object to query
const char *`name` | IN: Name of property to query
size_t *`size` | OUT: Size of property in bytes

Returns:
  Success: a non-negative value
  Failure: a negative value
Fortran90 Interface: h5pget_size_f

      SUBROUTINE h5pget_size_f(prp_id, name, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Property list identifier
        CHARACTER(LEN=*), INTENT(IN) :: name  ! Name of property to query
        INTEGER(SIZE_T), INTENT(OUT) :: size  ! Size in bytes
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_size_f